petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatDenseGetArrayF90

Accesses a matrix array from Fortran90.

### Synopsis

    MatDenseGetArrayF90(Mat x,{Scalar, pointer :: xx_v(:,:)},integer ierr)

Not collective Many br

### Input Parameter

x -matrix Many br

### Output Parameters

| xx_v | - the Fortran90 pointer to the array Many br
| ierr | - error code Many br

### Example of Usage

          PetscScalar, pointer xx_v(:,:)
          ....
          call MatDenseGetArrayF90(x,xx_v,ierr)
          a = xx_v(3)
          call MatDenseRestoreArrayF90(x,xx_v,ierr)

Many br

Many br

### See Also

MatDenseRestoreArrayF90(), MatDenseGetArray(), MatDenseRestoreArray(), MatSeqAIJGetArrayF90()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages